# Annotation Interface Threshold

@Target(TYPE) @Inherited @Retention(RUNTIME) public @interface Threshold
Event annotation, specifies the default duration below which an event is not recorded (for example, `"20 ms"`).

Since:
  9

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  Setting name `"threshold"` for configuring event thresholds.

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String`
  `value`
  The threshold (for example, `"20 ms"`).

- ## Field Details

  - ### NAME

    static final String NAME
    Setting name `"threshold"` for configuring event thresholds.
    See Also:
      - Constant Field Values

- ## Element Details

  - ### value

    String value
    The threshold (for example, `"20 ms"`).

    A `String` representation of a positive `Long` value followed by an empty space and one of the following units:
    `"ns"` (nanoseconds)
    `"us"` (microseconds)
    `"ms"` (milliseconds)
    `"s"` (seconds)
    `"m"` (minutes)
    `"h"` (hours)
    `"d"` (days)

    Example values are `"0 ns"`, `"10 ms"`, and `"1 s"`.

    Returns:
      the threshold, default `"0 ns"`, not `null`
    Default:
      `"0 ns"`